curl --request GET \
--url https://test.deribit.com/api/v2/private/submit_transfer_to_subaccount \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 210,
"method": "private/submit_transfer_to_subaccount",
"params": {
"currency": "ETH",
"amount": 12.1234,
"destination": 20
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/submit_transfer_to_subaccount"
payload = {
"jsonrpc": "2.0",
"id": 210,
"method": "private/submit_transfer_to_subaccount",
"params": {
"currency": "ETH",
"amount": 12.1234,
"destination": 20
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 210,
method: 'private/submit_transfer_to_subaccount',
params: {currency: 'ETH', amount: 12.1234, destination: 20}
})
};
fetch('https://test.deribit.com/api/v2/private/submit_transfer_to_subaccount', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 9187,
"result": {
"amount": 0.2,
"created_timestamp": 1550579457727,
"currency": "BTC",
"direction": "payment",
"id": 2,
"other_side": "2MzyQc5Tkik61kJbEpJV5D5H9VfWHZK9Sgy",
"state": "cancelled",
"type": "user",
"updated_timestamp": 1550579457727
}
}private/submit_transfer_to_subaccount
Transfer funds from the main account to a subaccount.
๐ Related Article: Managing Transfers
Scope: wallets:read_write
Query Parameters
The currency symbol
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR Amount of funds to be transferred
Id of destination subaccount. Can be found in My Account >> Subaccounts tab
1
Response
Success response
The JSON-RPC version (2.0)
2.0 Hide child attributes
Hide child attributes
Id of transfer
12
The timestamp (milliseconds since the Unix epoch)
1536569522277
Type of transfer: user - sent to user, subaccount - sent to subaccount
user, subaccount Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR Amount of funds in given currency
1
For transfer from/to subaccount returns this subaccount name, for transfer to other account returns address, for transfer from other account returns that accounts username.
"Smith"
Transfer state, allowed values : prepared, confirmed, cancelled, waiting_for_admin, insufficient_funds, withdrawal_limit otherwise rejection reason
The timestamp (milliseconds since the Unix epoch)
1536569522277
Transfer direction
payment, income Optional idempotency nonce if provided in the request
The id that was sent in the request
Was this page helpful?